| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.common.storagemetadata.StorageMetadata Class Reference

Class storage metadata format [{value: , fstype:['localfs', 'hdfs', 'mongoDB'], hash_value : "", hash_type: ['MD5','SHA256']. More...

Inheritance diagram for gdayf.common.storagemetadata.StorageMetadata:
[legend]
Collaboration diagram for gdayf.common.storagemetadata.StorageMetadata:
[legend]

## Public Member Functions
def | __init__ (self, e_c)
| Constructor return empty list of StoragMetadata.
def | append (self, value, fstype='localfs', hash_type='MD5')
| class used to add storage locations to StorageMetadata. More...
def | get_load_path (self, include=False)
| method used to get relative load path from config.json More...
def | get_log_path (self)
| method used to get relative log path from config.json More...
def | get_json_path (self, include=False)
| method used to get relative json path from config.json More...
def | get_prediction_path (self, include=False)
| method used to get relative prediction path from config.json More...
def | exclude_debug_fs (self, storage_metadata, include=False)
| method used to exclude localfs in non-debug modes More...

## Detailed Description

Class storage metadata format [{value: , fstype:['localfs', 'hdfs', 'mongoDB'], hash_value : "", hash_type: ['MD5','SHA256'].

Definition at line 24 of file storagemetadata.py.

## Member Function Documentation

## ◆ append()

def gdayf.common.storagemetadata.StorageMetadata.append | ( |  | self,
|  |  | value,
|  |  | fstype = `'localfs'`,
|  |  | hash_type = `'MD5'`
| ) |  |

class used to add storage locations to StorageMetadata.

use list().append method to include correct media and hash_value for file over OrderedDict() object overriding list().append method

Parameters

  self | object pointer location (optional)
  value | type full file path (string)
  fstype | in ['localfs', 'hdfs', 'mongoDB'] default value 'localfs'
  hash_type | in ['MD5','SHA256'] , default value 'MD5'

Returns
  None

Definition at line 41 of file storagemetadata.py.

Here is the caller graph for this function:

## ◆ exclude_debug_fs()

def gdayf.common.storagemetadata.StorageMetadata.exclude_debug_fs | ( |  | self,
|  |  | storage_metadata,
|  |  | include = `False`
| ) |  |

method used to exclude localfs in non-debug modes

Parameters

  storage_metadata | StorageMetadata object
  include | enable localfs

Definition at line 89 of file storagemetadata.py.

Here is the caller graph for this function:

## ◆ get_json_path()

def gdayf.common.storagemetadata.StorageMetadata.get_json_path | ( |  | self,
|  |  | include = `False`
| ) |  |

method used to get relative json path from config.json

Parameters

  self | object pointer location (optional)
  include | enable localfs

Returns
  relative path string

Definition at line 76 of file storagemetadata.py.

Here is the call graph for this function:

## ◆ get_load_path()

def gdayf.common.storagemetadata.StorageMetadata.get_load_path | ( |  | self,
|  |  | include = `False`
| ) |  |

method used to get relative load path from config.json

Parameters

  self | object pointer location (optional)
  include | enable localfs

Returns
  relative path string

Definition at line 63 of file storagemetadata.py.

Here is the call graph for this function:

## ◆ get_log_path()

def gdayf.common.storagemetadata.StorageMetadata.get_log_path | ( |  | self | ) |

method used to get relative log path from config.json

Parameters

  self | object pointer location (optional)

Returns
  relative path string

Definition at line 69 of file storagemetadata.py.

## ◆ get_prediction_path()

def gdayf.common.storagemetadata.StorageMetadata.get_prediction_path | ( |  | self,
|  |  | include = `False`
| ) |  |

method used to get relative prediction path from config.json

Parameters

  self | object pointer location (optional)
  include | enable localfs

Returns
  relative path string

Definition at line 83 of file storagemetadata.py.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/common/storagemetadata.py